Index: t3lib/config_default.php
===================================================================
--- t3lib/config_default.php	(revision 5914)
+++ t3lib/config_default.php	(working copy)
@@ -91,6 +91,7 @@
 		'dbClientCompress' => 0,				// Boolean: if true, data exchange between TYPO3 and database server will be compressed. This may improve performance if (1) database serever is on the different server and (2) network connection speed to database server is 100mbps or less. CPU usage will be higher if this option is used but database operations will be executed faster due to much less (up to 3 times) database network traffic. This option has no effect if MySQL server is localhost.
 		'setMemoryLimit' => 0,					// Integer, memory_limit in MB: If more than 16, TYPO3 will try to use ini_set() to set the memory limit of PHP to the value. This works only if the function ini_set() is not disabled by your sysadmin.
 		'forceReturnPath' => 0,					// Boolean: Force return path to be applied in mail() calls. If this is set, all calls to mail() done by t3lib_htmlmail will be called with '-f<return_path> as the 5th parameter. This will make the return path correct on almost all Unix systems. There is a known problem with Postfix below version 2: Mails are not sent if this option is set and Postfix is used. On Windows platforms, the return path is set via a call to ini_set. This has no effect if safe_mode in PHP is on.
+		'additionalParamForPlainMail' => ''			// String: additional parameter to be passed to PHP's mail function, when used from t3lib_div::plainMailEncoded. plainMailEncoded is used for notification mails from the backend and for various situations from the frontend, like sending a forgot password from fe_login. You may want to set this to e.g. -fmy@email.com to force a return path set to the value after -f. For Postfix you will need to use -r instead of -f. For Windows platforms or safe_mode - see constraints as mentioned for forceReturnPath.
 		'displayErrors' => -1,					// Integer, -1,0,1,2. 0=Do not display any PHP error messages. 1=Display error messages. 2=Display only if client matches TYPO3_CONF_VARS[SYS][devIPmask]. -1=Default setting. With this option, you can override the PHP setting "display_errors". It is suggested that you set this to "0" and enable the "error_log" option in php.ini instead.
 		'serverTimeZone' => 1,					// Integer, GMT offset of servers time (from time()). Default is "1" which is "GMT+1" (central european time). This value can be used in extensions that are GMT aware and wants to convert times to/from other timezones.
 		'systemLog' => '',						// String, semi-colon separated list: Defines one or more logging methods. Possible methods: file,<abs-path-to-file>[,<level>];mail,<to>[/<from>][,<level>];syslog,<facility>,[,<level>];error_log[,,<level>]. "file" logs to a file, "mail" sends the log entries via mail, "syslog" uses the operating system's log, "error_log" uses the PHP error log. The level is the individual logging level (see [SYS][systemLogLevel]. Facility may be one of LOCAL0..LOCAL7, USER (on Windows USER is the only valid type).
Index: t3lib/class.t3lib_div.php
===================================================================
--- t3lib/class.t3lib_div.php	(revision 5914)
+++ t3lib/class.t3lib_div.php	(working copy)
@@ -5126,6 +5126,15 @@
 		// So we stick to LF in all cases.
 		$headers = trim(implode(chr(10), t3lib_div::trimExplode(chr(10), $headers, true)));	// Make sure no empty lines are there.
 
+		$addParamForPlainMail = ($GLOBALS['TSFE']->config['config']['additionalParamForPlainMail']) ?
+			$GLOBALS['TSFE']->config['config']['additionalParamForPlainMail'] :
+			$GLOBALS['TYPO3_CONF_VARS']['SYS']['additionalParamForPlainMail'];
+		if ($addParamForPlainMail) {
+			$ret = @mail($email, $subject, $message, $headers, $addParamForPlainMail);
+		} else {
+			$ret = @mail($email, $subject, $message, $headers);
+		}
+
 		$ret = @mail($email, $subject, $message, $headers);
 		if (!$ret)	{
 			t3lib_div::sysLog('Mail to "'.$email.'" could not be sent (Subject: "'.$subject.'").', 'Core', 3);