Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/Acronym/acronym.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/Acronym/acronym.js	(révision 4100)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/Acronym/acronym.js	(copie de travail)
@@ -1,7 +1,7 @@
 /***************************************************************
 *  Copyright notice
 *
-*  (c) 2005-2008 Stanislas Rolland <stanislas.rolland(arobas)fructifor.ca>
+*  (c) 2005-2008 Stanislas Rolland <typo3(arobas)sjbr.ca>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
@@ -83,7 +83,7 @@
 	 * @return	boolean		false if action is completed
 	 */
 	onButtonPress : function(editor, id) {
-		this.dialog = this.openDialog("Acronym", this.makeUrlFromModulePath(this.acronymModulePath), null, null, {width:570, height:280});
+		this.dialog = this.openDialog("Acronym", this.makeUrlFromModulePath(this.acronymModulePath), null, null, {width:580, height:280});
 		return false;
 	},
 	
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/FindReplace/find-replace.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/FindReplace/find-replace.js	(révision 4100)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/FindReplace/find-replace.js	(copie de travail)
@@ -2,7 +2,7 @@
 *  Copyright notice
 *
 *  (c) 2004 Cau guanabara <caugb@ibest.com.br>
-*  (c) 2005-2008 Stanislas Rolland <stanislas.rolland(arobas)fructifor.ca>
+*  (c) 2005-2008 Stanislas Rolland <typo3(arobas)sjbr.ca>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
@@ -69,8 +69,8 @@
 		};
 		this.registerButton(buttonConfiguration);
 
-		this.popupWidth = 300;
-		this.popupHeight = 400;
+		this.popupWidth = 420;
+		this.popupHeight = 360;
 
 		return true;
 	},
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/InsertSmiley/popups/insertsmiley.html
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/InsertSmiley/popups/insertsmiley.html	(révision 4100)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/InsertSmiley/popups/insertsmiley.html	(copie de travail)
@@ -4,7 +4,7 @@
 *  Copyright notice
 *
 *  (c) 2004  Ki Master George <kimastergeorge@gmail.com>
-*  (c) 2005-2008 Stanislas Rolland <stanislas.rolland(arobas)fructifor.ca>
+*  (c) 2005-2008 Stanislas Rolland <typo3(arobas)sjbr.ca>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
@@ -46,7 +46,8 @@
 
 		function Init() {
 			var totalsmileys = 20;
-			dialog.initialize();
+				// Do not resize until the smileys are inserted on the page
+			dialog.initialize(false, "noResize", false);
 
 			param = dialog.arguments;
 			var tbody = document.getElementById("smileytable");
@@ -73,6 +74,7 @@
 				}
 				trow.insertCell((i - 1) % 4).innerHTML = "<a href=\"javascript:onOK('" + inum + "')\"><img style=\"border: 0px;\" alt=\"Smiley " + + i + "\" src=\""+ param.editor_url +"plugins/InsertSmiley/smileys/" + inum + ".gif\" />";
 			}
+			dialog.resize();
 		};
 
 		function onOK(smileynum) {
@@ -102,6 +104,7 @@
 	<div class="buttons">
 		<button type="button" onclick="return onCancel();">Cancel</button>
 	</div>
+	<br />
 </form>
 </div>
 </body>
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/RemoveFormat/remove-format.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/RemoveFormat/remove-format.js	(révision 4100)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/RemoveFormat/remove-format.js	(copie de travail)
@@ -66,8 +66,8 @@
 		};
 		this.registerButton(buttonConfiguration);
 
-		this.popupWidth = 300;
-		this.popupHeight = 280;
+		this.popupWidth = 370;
+		this.popupHeight = 260;
 
 		return true;
 	},
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-checker.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-checker.js	(révision 4100)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/SpellChecker/spell-checker.js	(copie de travail)
@@ -2,7 +2,7 @@
 *  Copyright notice
 *
 *  (c) 2003 dynarch.com. Authored by Mihai Bazon, sponsored by www.americanbible.org.
-*  (c) 2004-2008 Stanislas Rolland <stanislas.rolland(arobas)fructifor.ca>
+*  (c) 2004-2008 Stanislas Rolland <typo3(arobas)sjbr.ca>
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
@@ -94,7 +94,7 @@
 		switch (buttonId) {
 			case "SpellCheck":
 				var charset = (this.contentCharset.toLowerCase() == 'iso-8859-1') ? "-iso-8859-1" : "";
-				this.dialog = this.openDialog(buttonId, this.makeUrlFromPopupName("spell-check-ui" + charset), null, null, {width:670, height:515});
+				this.dialog = this.openDialog(buttonId, this.makeUrlFromPopupName("spell-check-ui" + charset), null, null, {width:670, height:600});
 				break;
 		}
 		return false;
Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/TableOperations/table-operations.js
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/TableOperations/table-operations.js	(révision 4100)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/TableOperations/table-operations.js	(copie de travail)
@@ -102,7 +102,8 @@
 				action		: "onButtonPress",
 				hotKey		: (this.buttonsConfiguration[button[2]] ? this.buttonsConfiguration[button[2]].hotKey : null),
 				context		: button[1],
-				hide		: ((buttonId == "TO-toggle-borders") ? hideToggleBorders : ((button[0] === "InsertTable") ? false : this.editorConfiguration.hideTableOperationsInToolbar))
+				hide		: ((buttonId == "TO-toggle-borders") ? hideToggleBorders : ((button[0] === "InsertTable") ? false : this.editorConfiguration.hideTableOperationsInToolbar)),
+				dialog		: button[3]
 			};
 			this.registerButton(buttonConfiguration);
 		}
@@ -114,26 +115,26 @@
 	 * The list of buttons added by this plugin
 	 */
 	buttonList : [
-		["InsertTable",		null,				"table"],
-		["toggle-borders",	null, 				"toggleborders"],
-		["table-prop",		"table",			"tableproperties"],
-		["table-restyle",	"table",			"tablerestyle"],
-		["row-prop",		"tr",				"rowproperties"],
-		["row-insert-above",	"tr",				"rowinsertabove"],
-		["row-insert-under",	"tr",				"rowinsertunder"],
-		["row-delete",		"tr",				"rowdelete"],
-		["row-split",		"td,th[rowSpan!=1]",		"rowsplit"],
-		["col-prop",		"td,th",			"columnproperties"],
-		["col-insert-before",	"td,th",			"columninsertbefore"],
-		["col-insert-after",	"td,th",			"columninsertafter"],
-		["col-delete",		"td,th",			"columndelete"],
-		["col-split",		"td,th[colSpan!=1]",		"columnsplit"],
-		["cell-prop",		"td,th",			"cellproperties"],
-		["cell-insert-before",	"td,th",			"cellinsertbefore"],
-		["cell-insert-after",	"td,th",			"cellinsertafter"],
-		["cell-delete",		"td,th",			"celldelete"],
-		["cell-merge",		"tr",				"cellmerge"],
-		["cell-split",		"td,th[colSpan!=1,rowSpan!=1]",	"cellsplit"]
+		["InsertTable",		null,				"table", true],
+		["toggle-borders",	null, 				"toggleborders", false],
+		["table-prop",		"table",			"tableproperties", true],
+		["table-restyle",	"table",			"tablerestyle", false],
+		["row-prop",		"tr",				"rowproperties", true],
+		["row-insert-above",	"tr",				"rowinsertabove", false],
+		["row-insert-under",	"tr",				"rowinsertunder", false],
+		["row-delete",		"tr",				"rowdelete", false],
+		["row-split",		"td,th[rowSpan!=1]",		"rowsplit", false],
+		["col-prop",		"td,th",			"columnproperties", true],
+		["col-insert-before",	"td,th",			"columninsertbefore", false],
+		["col-insert-after",	"td,th",			"columninsertafter", false],
+		["col-delete",		"td,th",			"columndelete", false],
+		["col-split",		"td,th[colSpan!=1]",		"columnsplit", false],
+		["cell-prop",		"td,th",			"cellproperties", true],
+		["cell-insert-before",	"td,th",			"cellinsertbefore", false],
+		["cell-insert-after",	"td,th",			"cellinsertafter", false],
+		["cell-delete",		"td,th",			"celldelete", false],
+		["cell-merge",		"tr",				"cellmerge", false],
+		["cell-split",		"td,th[colSpan!=1,rowSpan!=1]",	"cellsplit", false]
 	],
 	
 	/*
@@ -168,10 +169,10 @@
 			element		: (insert ? null : this.getClosest("table"))
 		};
 		var dimensions = {
-			width	: 820,
-			height	: insert ? 600 : 630
+			width	: 860,
+			height	: insert ? 600 : 610
 		};
-		this.dialog = this.openDialog((insert ? "InsertTable" : "table-prop"), "", "tablePropertiesUpdate", arguments, dimensions);
+		this.dialog = this.openDialog((insert ? "InsertTable" : "TO-table-prop"), "", "tablePropertiesUpdate", arguments, dimensions);
 	},
 	
 	/*
@@ -379,7 +380,7 @@
 				cell		: cell,
 				column		: column
 			};
-			this.dialog = this.openDialog(cell ? (column ? "col-prop" : "cell-prop") :"row-prop", "", "rowCellPropertiesUpdate", arguments, { width : 830, height : 425 });
+			this.dialog = this.openDialog("TO-" + (cell ? (column ? "col-prop" : "cell-prop") :"row-prop"), "", "rowCellPropertiesUpdate", arguments, { width : 660, height : 460 });
 		}
 	},
 	
@@ -1354,7 +1355,8 @@
 		if (!table) {
 			TableOperations.insertLegend(doc, fieldset, "Size and Headers");
 			TableOperations.buildInput(doc, fieldset, "f_rows", "Rows:", "Number of rows", "", "5", ((this.properties && this.properties.numberOfRows && this.properties.numberOfRows.defaultValue) ? this.properties.numberOfRows.defaultValue : "2"), "fr");
-			TableOperations.buildInput(doc, fieldset, "f_cols", "Cols:", "Number of columns", "", "5", ((this.properties && this.properties.numberOfColumns && this.properties.numberOfColumns.defaultValue) ? this.properties.numberOfColumns.defaultValue : "4"));
+			TableOperations.insertSpace(doc, fieldset);
+			TableOperations.buildInput(doc, fieldset, "f_cols", "Cols:", "Number of columns", "", "5", ((this.properties && this.properties.numberOfColumns && this.properties.numberOfColumns.defaultValue) ? this.properties.numberOfColumns.defaultValue : "4"), "fr");
 		} else {
 			TableOperations.insertLegend(doc, fieldset, "Headers");
 		}
@@ -1782,14 +1784,9 @@
 TableOperations.buildSpacingFieldset = function(doc, el, content) {
 	var fieldset = doc.createElement("fieldset");
 	TableOperations.insertLegend(doc, fieldset, "Spacing and padding");
-	var ul = doc.createElement("ul");
-	fieldset.appendChild(ul);
-	var li = doc.createElement("li");
-	ul.appendChild(li);
-	TableOperations.buildInput(doc, li, "f_spacing", "Cell spacing:", "Space between adjacent cells", "pixels", "5", (el ? el.cellSpacing : ""), "fr", "", "postlabel");
-	var li = doc.createElement("li");
-	ul.appendChild(li);
-	TableOperations.buildInput(doc, li, "f_padding", "Cell padding:", "Space between content and border in cell", "pixels", "5", (el ? el.cellPadding : ""), "fr", "", "postlabel");
+	TableOperations.buildInput(doc, fieldset, "f_spacing", "Cell spacing:", "Space between adjacent cells", "pixels", "5", (el ? el.cellSpacing : ""), "fr", "", "postlabel");
+	TableOperations.insertSpace(doc, fieldset);
+	TableOperations.buildInput(doc, fieldset, "f_padding", "Cell padding:", "Space between content and border in cell", "pixels", "5", (el ? el.cellPadding : ""), "fr", "", "postlabel");
 	content.appendChild(fieldset);
 };
 TableOperations.buildColorsFieldset = function(w, doc, editor, el, content) {
Index: typo3/sysext/rtehtmlarea/htmlarea/skins/default/htmlarea.css
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/skins/default/htmlarea.css	(révision 4100)
+++ typo3/sysext/rtehtmlarea/htmlarea/skins/default/htmlarea.css	(copie de travail)
@@ -316,7 +316,7 @@
 }
 .popupwin fieldset {
 	display:block;
-	margin:5px 5px 0 5px;padding:5px;
+	margin:5px 5px 0 5px;padding:0 5px 2px 5px;
 }
 .popupwin .floating {
 	float:left;
@@ -436,7 +436,7 @@
 /* Selectors for the FindReplace plugin */
 .popupwin .long-label {
 	text-align:left;
-	width:16em;
+	width:30em;
 }
 /* Selectors for the SpellChecker plugin */
 .popupwin #b_recheck {
Index: typo3/sysext/t3skin/rtehtmlarea/htmlarea.css
===================================================================
--- typo3/sysext/t3skin/rtehtmlarea/htmlarea.css	(révision 4100)
+++ typo3/sysext/t3skin/rtehtmlarea/htmlarea.css	(copie de travail)
@@ -327,7 +327,7 @@
 }
 .popupwin fieldset {
 	display:block;
-	margin:5px 5px 0 5px;padding:5px;
+	margin:5px 5px 0 5px;padding:0 5px 2px 5px;
 }
 .popupwin .floating {
 	float:left;
@@ -446,7 +446,7 @@
 /* Selectors for the FindReplace plugin */
 .popupwin .long-label {
 	text-align:left;
-	width:16em;
+	width:30em;
 }
 /* Selectors for the SpellChecker plugin */
 .popupwin #b_recheck {