Index: typo3/sysext/rtehtmlarea/htmlarea/plugins/DynamicCSS/dynamiccss.css
===================================================================
--- typo3/sysext/rtehtmlarea/htmlarea/plugins/DynamicCSS/dynamiccss.css	(révision 4131)
+++ typo3/sysext/rtehtmlarea/htmlarea/plugins/DynamicCSS/dynamiccss.css	(copie de travail)
@@ -1,8 +1,7 @@
 /****************************************************************************************
-# Default css file for content edited with htmlArea RTE
+# This file is DEPRECATED.
 #
-# Defines a few class selectors that can be simply taken as examples by anyone who needs to configure the RTE.
-# This css file is referenced by property RTE.default.contentCSS in the default configuration of htmlArea RTE
+# The default css file for content edited with htmlArea RTE is now: EXT:rtehtmlarea/res/contentcss/default.css
 #
 # TYPO3 SVN ID: $Id$
 # ***************************************************************************************/
Index: typo3/sysext/rtehtmlarea/res/contentcss/default.css
===================================================================
--- typo3/sysext/rtehtmlarea/res/contentcss/default.css	(révision 4131)
+++ typo3/sysext/rtehtmlarea/res/contentcss/default.css	(copie de travail)
@@ -2,9 +2,9 @@
 # Default css file for content edited with htmlArea RTE
 #
 # Defines a few class selectors that can be simply taken as examples by anyone who needs to configure the RTE.
-# This css file is referenced by property RTE.default.contentCSS in the default configuration of htmlArea RTE
+# This css file is referenced by property RTE.default.contentCSS in the default configuration of htmlArea RTE.
 #
-# TYPO3 SVN ID: $Id: dynamiccss.css 2663 2007-11-05 09:22:23Z ingmars $
+# TYPO3 SVN ID: $Id: default.css 2663 2007-11-05 09:22:23Z ingmars $
 # ***************************************************************************************/
 
 /* Left, center, right and justify alignment of text in block elements*/
@@ -36,4 +36,7 @@
 a.internal-link {}
 a.internal-link-new-window {}
 a.download {}
-a.mail {}
\ No newline at end of file
+a.mail {}
+
+/* Default selector for indentation.*/
+div.indent { margin-left: 20px; }
\ No newline at end of file
Index: typo3/sysext/rtehtmlarea/res/demo/pageTSConfig.txt
===================================================================
--- typo3/sysext/rtehtmlarea/res/demo/pageTSConfig.txt	(révision 4131)
+++ typo3/sysext/rtehtmlarea/res/demo/pageTSConfig.txt	(copie de travail)
@@ -134,11 +134,12 @@
 	showStatusBar =  1
 
 		## Add default example styles
-		## Left, center and right alignment of text in paragraphs and cells.
+		## Left, center, right and justify alignment of text in block elements
 	inlineStyle.text-alignment (
-		p.align-left, h1.align-left, h2.align-left, h3.align-left, h4.align-left, h5.align-left, h6.align-left, td.align-left { text-align: left; }
-		p.align-center, h1.align-center, h2.align-center, h3.align-center, h4.align-center, h5.align-center, h6.align-center, td.align-center { text-align: center; }
-		p.align-right, h1.align-right, h2.align-right, h3.align-right, h4.align-right, h5.align-right, h6.align-right, td.align-right { text-align: right; }
+		p.align-left, h1.align-left, h2.align-left, h3.align-left, h4.align-left, h5.align-left, h6.align-left, div.align-left, address.align-left { text-align: left; }
+		p.align-center, h1.align-center, h2.align-center, h3.align-center, h4.align-center, h5.align-center, h6.align-center, div.align-center, address.align-center { text-align: center; }
+		p.align-right, h1.align-right, h2.align-right, h3.align-right, h4.align-right, h5.align-right, h6.align-right, div.align-right, address.align-right { text-align: right; }
+		p.align-justify, h1.align-justify, h2.align-justify, h3.align-justify, h4.align-justify, h5.align-justify, h6.align-justify, div.align-justify, address.align-justify { text-align: justify; }
 	)
 		## Two frame examples taken from the example CSS file of CSS Styled Content extension and applied to p and table block elements.
 	inlineStyle.frames (
@@ -161,8 +162,22 @@
 		span.name-of-person { color: #10007B; }
 		span.detail { color: #186900; }
 	)
+		## Default selectors for the default configuration of the link accessibity feature.
+	inlineStyle.accessibility (
+		a.external-link {}
+		a.external-link-new-window {}
+		a.internal-link {}
+		a.internal-link-new-window {}
+		a.download {}
+		a.mail {}
+	)
+		## Default selector for indentation.
+	inlineStyle.indentation (
+		div.indent { margin-left: 20px; }
+	)
 
 		## Use stylesheet file rather than the above mainStyleOverride and inlineStyle properties to style the contents (htmlArea RTE only)
+		## When RTE.default.contentCSS is not specified, file EXT:rtehtmlarea/res/contentcsss/default.css is used.
 	ignoreMainStyleOverride = 1
 
 		## For this demo, do not remove font, strike and u tags
Index: typo3/sysext/rtehtmlarea/res/typical/pageTSConfig.txt
===================================================================
--- typo3/sysext/rtehtmlarea/res/typical/pageTSConfig.txt	(révision 4131)
+++ typo3/sysext/rtehtmlarea/res/typical/pageTSConfig.txt	(copie de travail)
@@ -134,12 +134,12 @@
 	hidePStyleItems = pre,address
 
 		## Add default example styles
-		## The example styles included here make partial re-use of color scheme and frame scheme from CSS Styled Content extension
-		## Left, center and right alignment of text in paragraphs and cells.
+		## Left, center, right and justify alignment of text in block elements
 	inlineStyle.text-alignment (
-		p.align-left, h1.align-left, h2.align-left, h3.align-left, h4.align-left, h5.align-left, h6.align-left, td.align-left { text-align: left; }
-		p.align-center, h1.align-center, h2.align-center, h3.align-center, h4.align-center, h5.align-center, h6.align-center, td.align-center { text-align: center; }
-		p.align-right, h1.align-right, h2.align-right, h3.align-right, h4.align-right, h5.align-right, h6.align-right, td.align-right { text-align: right; }
+		p.align-left, h1.align-left, h2.align-left, h3.align-left, h4.align-left, h5.align-left, h6.align-left, div.align-left, address.align-left { text-align: left; }
+		p.align-center, h1.align-center, h2.align-center, h3.align-center, h4.align-center, h5.align-center, h6.align-center, div.align-center, address.align-center { text-align: center; }
+		p.align-right, h1.align-right, h2.align-right, h3.align-right, h4.align-right, h5.align-right, h6.align-right, div.align-right, address.align-right { text-align: right; }
+		p.align-justify, h1.align-justify, h2.align-justify, h3.align-justify, h4.align-justify, h5.align-justify, h6.align-justify, div.align-justify, address.align-justify { text-align: justify; }
 	)
 		## Two frame examples taken from the example CSS file of CSS Styled Content extension and applied to p and table block elements.
 	inlineStyle.frames (
@@ -162,8 +162,22 @@
 		span.name-of-person { color: #10007B; }
 		span.detail { color: #186900; }
 	)
+		## Default selectors for the default configuration of the link accessibity feature.
+	inlineStyle.accessibility (
+		a.external-link {}
+		a.external-link-new-window {}
+		a.internal-link {}
+		a.internal-link-new-window {}
+		a.download {}
+		a.mail {}
+	)
+		## Default selector for indentation.
+	inlineStyle.indentation (
+		div.indent { margin-left: 20px; }
+	)
 
-		## Use stylesheet file rather than the above mainStyleOverride and inlineStyle properties to style the contents (htmlArea RTE only)
+		## Use stylesheet file rather than the above mainStyleOverride and inlineStyle properties to style the contents (htmlArea RTE only).
+		## When RTE.default.contentCSS is not specified, file EXT:rtehtmlarea/res/contentcsss/default.css is used.
 	ignoreMainStyleOverride = 1
 
 		## List all class selectors that are allowed on the way to the database